Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogRequestImpl

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.CatalogRequestImpl

All Implemented Interfaces
  CatalogRequest, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public final class CatalogRequestImpl

extends Object
implements CatalogRequest, Serializable

This is the implementation class for the common input record to catalog services that return catalog data. It contains everything required to resolve a catalog request to catalog content.

See Also
  `methods for creating CatalogRequest objects.`, Serialized Form

Field Summary

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogRequest
`ADMINISTRATION, DEFAULT_USE`

Constructor Summary
`CatalogRequestImpl(int authCode)` Deprecated See BEA Commerce product offering

Method Summary
`int` | `getAuthorization()` Deprecated See BEA Commerce product offering
`String` | `getLanguage()` Deprecated See BEA Commerce product offering
`boolean` | `getShowAll()` Deprecated See BEA Commerce product offering
`boolean` | `hasAuthorization(int authorizationCode)` Deprecated See BEA Commerce product offering
`void` | `setLanguage(String language)` Deprecated See BEA Commerce product offering
`void` | `setShowAll(boolean showAll)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogRequestImpl

    public CatalogRequestImpl(int authCode)

  Deprecated See BEA Commerce product offering

  This class should only be created through the CatalogManager factory methods. authCode the authorization code for this request.

  See Also
    `CatalogManager`

Method Detail

### getLanguage

    public String getLanguage()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getLanguage` in interface `CatalogRequest`
  Returns
    the language attribute for this catalog request

### setLanguage

    public void setLanguage(String language)

  Deprecated See BEA Commerce product offering

  Set the language attribute for this catalog request

  Specified by:
    `setLanguage` in interface `CatalogRequest`
  Parameters
    `language` - the language attribute to use.

### getShowAll

    public boolean getShowAll()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getShowAll` in interface `CatalogRequest`
  Returns
    the showAll attribute for this catalog request

### setShowAll

    public void setShowAll(boolean showAll)

  Deprecated See BEA Commerce product offering

  Set the showAll attribute for this catalog request

  Specified by:
    `setShowAll` in interface `CatalogRequest`

### getAuthorization

    public int getAuthorization()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CatalogRequest`
  Gets the authorization bit-field for this catalog request.

  Specified by:
    `getAuthorization` in interface `CatalogRequest`
  Returns
    the authorization bitfield for this catalog request

### hasAuthorization

    public boolean hasAuthorization(int authorizationCode)

  Deprecated See BEA Commerce product offering

  Specified by:
    `hasAuthorization` in interface `CatalogRequest`
  Parameters
    `authorizationCode` - the authorization required
  Returns
    true if the current catalog request has the required authorization

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved